#!/usr/bin/env node


var docAngularModules = require('apeman-dev-commons-documenting/lib/doc_angular_modules');

var path = require('path'),
    async = require('async');

var basedir = path.resolve(__dirname, '../assets');
process.chdir(basedir);

async.series([
    function (callback) {
        docAngularModules('src/**/*.js', './docs', {
            basedir: basedir
        }, callback);
    }
], function(err){
    if(err){
        console.error(err);
    }
});