



# apLocationSearch











Location search wrapper.







  




## Methods
### consume
Get location search with key and delete the key from search.


#### Parameters

| Param | Type | Details |
| :--: | :--: | :--: |
| key | string | <p>Search key.</p>  |




#### Returns</h4>

| Type | Description |
| :--: | :--: |
| string | <ul> <li>Search value with the key.</li> </ul>  |




### delete
Delete search with pattern.


#### Parameters

| Param | Type | Details |
| :--: | :--: | :--: |
| key | string | <p>Key to delete.</p>  |






### deleteByPattern
Delete search with pattern.


#### Parameters

| Param | Type | Details |
| :--: | :--: | :--: |
| pattern | string&#124;RegExp | <p>Pattern to compare.</p>  |






### get
Get search type.


#### Parameters

| Param | Type | Details |
| :--: | :--: | :--: |
| key | string | <p>Key to search.</p>  |




#### Returns</h4>

| Type | Description |
| :--: | :--: |
| string&#124;object | <ul> <li>Search value</li> </ul>  |




### getByPattern
Get search by pattern


#### Parameters

| Param | Type | Details |
| :--: | :--: | :--: |
| pattern |  |  |




#### Returns</h4>

| Type | Description |
| :--: | :--: |
| object | <p>values.</p>  |




### set
Change search value.


#### Parameters

| Param | Type | Details |
| :--: | :--: | :--: |
| key | string | <p>Key to set.</p>  |
| val | string | <p>Value to set.</p>  |












